﻿@using BenhVien.MODEL
@using BenhVien.UI.Models;
@model IEnumerable<ThongTinNhapVien>
@{
    /**/
    UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
    int stt = 0;
    var db = new BenhVienEntities();

}
@if (Model != null && Model.Count() > 0)
{
    foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@(++stt)</td>
            <td class="text-center">
                <span class="">@item.NhapVien.MaBenhAn</span>
            </td>
            <td class="text-center">
                <span class="">@item.NguoiDung.HoTen</span>
            </td>
        
            <td class="text-center">
                <span class="">@item.NguoiDung.SDT</span>
            </td>
            <td class="text-center">
                <span data-id="@item.NhapVien.Id" onclick="CapNhatBHYT($(this))" style="cursor: pointer" title="Áp dụng bảo hiểm y tế">
                    <i class="fa @(item.NhapVien.ApDungBHYT == EnumStatus.ACTIVE? "fa-unlock":"fa-lock")" style="font-size:22px;"></i>
                </span>
            </td>
            <td class="text-center">
                <span class="">@(EnumKieuKhamBenh.ToString(item.NhapVien.KieuNhapVien))</span>
            </td>
            <td class="text-center">
                <span class="">@(item.NhapVien.NgayNhapVien.Value.ToString("dd/MM/yyyy"))</span>
            </td>
            <td class="text-center">
                <span class="">@(item.ChiTietNhapVien != null && item.ChiTietNhapVien.KhoaID != null? db.Khoas.FirstOrDefault(x=>x.Id == item.ChiTietNhapVien.KhoaID).Ten:"Chưa vào")</span>
            </td>
            <td class="text-center">
                <span class="">@(item.ChiTietNhapVien != null && item.ChiTietNhapVien.PhongID != null ? db.Phongs.FirstOrDefault(x => x.Id == item.ChiTietNhapVien.PhongID).Ten : "Chưa vào")</span>
            </td>
            @*<td class="text-center">
                <span class="">@(item.ChiTietNhapVien != null ? db.Giuongs.FirstOrDefault(x => x.Id == item.ChiTietNhapVien.GiuongID).Ten : "Chưa vào")</span>
            </td>*@
            <td class="text-center">
                <span class="red">
                    @(EnumTrangThaiKhamBenh.ToString(item.NhapVien.TrangThaiID))
                </span>
            </td>

            <td class="text-center clickable-td">
                <div class="dropdown">
                    <button class="btn btn-xs btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:160px;">
                        Thao tác
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu">
                        <li>
                            <a class="btn btn-xs btn-success" style="cursor:pointer;padding-right:10px;" href="@Url.Action("Update","NhapVien", new { area = "QuanTri", id = item.NhapVien.Id})"><i class="fa fa-pencil-square-o"></i>Nhập viện</a>
                        </li>
                        <li>
                            <a class="btn btn-xs btn-info" style="cursor:pointer;padding-right:10px;" data-id="@item.NhapVien.Id" onclick="SelectNguoiDung($(this))"><i class="fa fa-pencil-square-o"></i>Chỉnh sửa thông tin</a>
                        </li>

                        <li>
                            <a class="btn btn-xs btn-danger" data-id="@item.NhapVien.Id" onclick="Xoa($(this))"><i class="fa fa-trash"></i> Xóa</a>
                        </li>
                    </ul>
                </div>

            </td>
        </tr>

    }
}
<script>
    $('#idsotrang').val('@ViewBag.sotrang');
    document.getElementById("idtongsotrang").innerHTML = '@ViewBag.tongsotrang';
    document.getElementById("idtongso").innerHTML = '(' + '@ViewBag.tongso' + ')';
    $(".clickable-td").on("click", function (e) {
        //e.stopPropagation();
        $(".dropdown-toggle").dropdown();
    });


    function SelectNguoiDung(obj) {
        var id = obj.attr("data-id");
        $.ajax({
            url: '@Url.Action("BenhNhan_Update", "NhapVien", new { area = "QuanTri" })',
            type: 'GET',
            data: { id: id },
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $('#modal-qltaikhoan').modal('show');
                $.ajax({
                    url: '@Url.Action("BenhNhan_Update", "NhapVien", new { area = "QuanTri" })',
                    type: 'GET',
                    data: { id: id },
                    success: function (data) {
                        $('#modal-qltaikhoan').html(data);
                        $('#modal-qltaikhoan').modal('show');
                        
                    }
                });
            }
        });
    }
</script>

